Page MenuHomePhabricator

Customize the "show all users" message on Special:Investigate Compare results table
Closed, ResolvedPublic2 Estimated Story PointsJul 28 2020

Description

Acceptance criteria:
Update the menu label that adds IP to the investigation:

  • Keep "Show all users on this IP" when there are other users who have made edits
  • Change to "Add this IP to investigation" when there are no other users who have made edits (but might have other logged actions)

These labels set better expectations of what will happen on clicking.


(Filed following a conversation with @dmaza and @dbarratt )

In the Compare tab results table, if the number of edits for a User/IP/UA combinations matches the number of edits for all users, this implies that there are no more users on that IP. For example:

Arguably we should disable the "Show all users on this IP" button in this situation.

However, as a counter-argument, the check user might still want to add the IP to the investigation to see if any users performed any non-editing actions from that IP.

Event Timeline

Tchanders created this task.May 5 2020, 3:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2020, 3:11 PM
Niharika moved this task from Untriaged to Design on the Anti-Harassment board.May 5 2020, 10:33 PM
Niharika added subscribers: cwylo, Prtksxna, Niharika.

@cwylo @Prtksxna Flagging this for your input.

From the description:

Arguably we should disable the "Show all users on this IP" button in this situation.

This was pretty confusing for me during testing. I thought I had misunderstood the numbers that show up and got confused when I didn't see anything new in the table.

However, as a counter-argument, the check user might still want to add the IP to the investigation to see if any users performed any non-editing actions from that IP.

Do the non-editing actions show up in any form in the Compare tab, or are they only visible in the Timeline view?

In either case, if there are no more users on the IP the Show all users on this IP button is misleading. Maybe we should change the label to 'Add this IP to investigation' or something else to set clearer expectations.

From the *description*:

…if the number of edits for a User/IP/UA combinations matches the number of edits for all users, this implies that there are no more users on that IP.

Do we know these numbers with enough certainty to disable the button? Maybe we can use this flag to only change the label of the menu item:

  1. Show all users on this IP / Show all IPs of this user
  2. Add IP to investigation / Add user to investigation

What do you think @Tchanders? Would it be useful to our users to see the timeline tab when we're showing option 2?

Do the non-editing actions show up in any form in the Compare tab, or are they only visible in the Timeline view?

They'll only show up on the Timeline tab. I like the idea of changing the label to make this clearer...

Do we know these numbers with enough certainty to disable the button? [...] Would it be useful to our users to see the timeline tab when we're showing option 2?

We don't actually know about the non-editing actions, since the Compare query doesn't ask for these. I think that probably means we shouldn't disable the button, since more could always show up on the Timeline tab.

Could we just change the label to Add IP to investigation / Add user to investigation for all cases, whether or not the results will show up in the Compare tab, or just the Timeline tab?

Could we just change the label to Add IP to investigation / Add user to investigation for all cases, whether or not the results will show up in the Compare tab, or just the Timeline tab?

That is was my first thought, and I did consider it, but the See all… labels are so clear that I didn't want to lose them. On the flip side having the labels sometimes be different might lead to more confusion 😕

Prtksxna updated the task description. (Show Details)Jul 8 2020, 5:19 AM
Prtksxna moved this task from Design to Cards ready to be discussed on the Anti-Harassment board.
ARamirez_WMF set the point value for this task to 2.Jul 15 2020, 4:14 PM
ARamirez_WMF set Due Date to Jul 28 2020, 4:00 AM.
ARamirez_WMF changed the subtype of this task from "Task" to "Deadline".
ARamirez_WMF removed Due Date.
ARamirez_WMF removed a subscriber: dmaza.
ARamirez_WMF added a subscriber: dmaza.
Niharika triaged this task as Medium priority.Jul 15 2020, 4:23 PM
ARamirez_WMF set Due Date to Jul 28 2020, 4:00 AM.
Tchanders moved this task from Ready to In Progress on the Anti-Harassment (The Letter Song) board.

Change 615234 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/CheckUser@master] Customize button labels in Special:Investigate Compare tab

https://gerrit.wikimedia.org/r/615234

Tchanders renamed this task from Consider sometimes disabling "show all users" on Special:Investigate Compare results table to Customize the "show all users" message on Special:Investigate Compare results table.Jul 21 2020, 3:08 PM

Change 615234 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Customize button labels in Special:Investigate Compare tab

https://gerrit.wikimedia.org/r/615234

dom_walden added a subscriber: dom_walden.

This seems to behave according to the acceptance criteria.

Niharika closed this task as Resolved.Jul 31 2020, 10:22 PM